%define upstream_name Dist-Zilla-Plugin-Prereqs-Upgrade
%define upstream_version 0.001000

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	Upgrade existing prerequisites in place
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Dist::Zilla::Role::PrereqSource)
BuildRequires:	perl(Dist::Zilla::Util::ConfigDumper)
BuildRequires:	perl(Moose)

BuildArch:	noarch

%description
This allows you to automatically upgrade selected prerequisites to
selected versions, if, and only if, they're already prerequisites.

This is intended to be used to compliment "[AutoPrereqs]" without adding
dependencies.

  [AutoPrereqs]

  [Prereqs::Upgrade]
  Moose = 2.0 ; Moose 2.0 is added as a minimum to runtime.recommends to
  2.0 if a lower version is in runtime.requires

This is intended to be especially helpful in "PluginBundle"'s where one
may habitually always want a certain version of a certain dependency
every time they use it, but don't want to be burdened with remembering
to encode that version of it.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.1.0-3.mga6
+ Revision: 1026557
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.1.0-2.mga6
+ Revision: 968263
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.1.0-1.mga6
+ Revision: 851679
- imported package perl-Dist-Zilla-Plugin-Prereqs-Upgrade

